import 'log.dart';
import 'smart_management.dart';

/// Use Get.to instead of Navigator.push, Get.off instead
/// of Navigator.pushReplacement,
/// Get.offAll instead of Navigator.pushAndRemoveUntil.
/// For named routes just add "named" after them. Example: Get.toNamed,
/// Get.offNamed, and Get.AllNamed.
/// To return to the previous screen, use Get.back().
/// No need to pass any context to Get, just put the name of the route inside
/// the parentheses and the magic will occur.
abstract class GetInterface {
  SmartManagement smartManagement = SmartManagement.full;
  String reference;
  bool isLogEnable = true;
  LogWriterCallback log = defaultLogWriterCallback;
}
